Subject: Re: [Sigtran] M3UA IG02: ASPIA-ack changed to DUNA

From: "TOLGA ASVEREN" <[email-masked]>
Date: Fri, 7 Mar 2003 13:33:48 +0200

Brian,

TOLGA,

TOLGA ASVEREN wrote:
(Fri, 07 Mar 2003 13:15:15)
>
> Brian,
>
>
>
> > [TOLGA] The configuration is:
> >
> >    AS1           AS2
> >  +-----+       +-----+
> >  | ASP1|       |ASP2 |
> >  +--+--+       +--+--+
> >     |             |
> >     |   +-----+   |
> >     +---+ SGP1+---+
> >         +-----+
> > SGP1 is routing between AS1 and AS2.
> >
> >
> >
> > [Anjali] I understand the configuration Tolga.But just tell me  where
do
> > the
> > ASs above get the data to route to since the NIF is not available and
no
> > connectivity with the MTP3.So I repeat my point
> >
> > when the connectivity with the SS7 is lost , so where has the
> > SGP the data to send to the ASP or route to the ASPs it is connected
to.
> > The SGP informs ASPs about it thru ASPIA-ack which does not involve any
> > interasp-routing.
> > [TOLGA]Data is transmitted from/to AS1 to/from AS2. So there is no need
> > that any data is arriving from SS7 domain. Brian's comment is that for
> that
> > routing to happen NIF/MTP3 functionality is needed.
>
> Yes, because M3UA has no such functionality.
>
> Where in the RFC does it discuss M3UA's ability to route
> messages between AS without involving NIF?
>
> I see where it discusses taking events from the NIF (MTP primitives) and
> formulating and sending the equivalent M3UA message to the ASP, and where
> it discusses receiving M3UA messages from the ASP and formulating
requests
> to the NIF (MTP primitives), but nowhere is the SGP described as routing
> M3UA messages between AS of its own accord.  Nor is the SGP described as
> maintaning any routing tables asside from those used to take events from
> the
> NIF and pass them to the ASP.
> [TOLGA]I don't totally disagree with you(i.e. you convinced me). But I
> don't feel that enough consideration is given to that topic, while
updating
> M3UA documents. I agree, it looks fine if one does the routing in MTP3. I
> disagree to some extent that SGP does not do any routing at all, if AS
and
> SG have different PCs, IMO it does perform also routing functionality.

AS an SGs do not have different PCs.  The SG has all the PCs.  The SG is
responsible for the SPMC (the PC).  The AS is not.
[TOLGA]I didn't say AS does SPMC management. I would agree with you if you
say SG executes all MTP3 logic for SPMCs. But IMO this does not mean that
M3UA-SGP does not have some kind of routing functionality. When M3UA gets
an indication from NIF, message dispatching might cross PC boundaries.

>
> Therefore, no NIF, no routing between AS.
>
> Besides, DUNA is not appropriate at all.  DUNA represents events which
> have occured in the SS7 network (MTP-PAUSE from the NIF).  All SSNM
> represent SS7 network events.  M3UA events use ASPTM, ASPSM and MGMT
> messages.
> [TOLGA]For that I disagree. SSNM is about events related with SS7
> destinations, regardless whether they reside in IP or traditional domain.

A PC exists only in the SS7 domain (network).  SSNM only concerns events
in the SS7 domain (network).
[TOLGA]SPMC is also in SS7 domain, so also for them SSNM is generated. But
I think I misinterpreted what you mean, i.e. I thought for a while that you
don't think it as appropriate to generate SSNM for SPMC.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Mar 2003 05:20:13 -0700

TOLGA,

TOLGA ASVEREN wrote:                                                                 (Fri, 07 Mar 2003 13:33:48)
> an indication from NIF, message dispatching might cross PC boundaries.

What do you mean by "message dispatching might cross PC boundaries"?

What is a "PC boundary"?

The handling of MTP-TRANSFER primitives from the NIF by M3UA is described
in the RFC.  The MTP-TRANSFER primtiive is matched against a Routing Key
and is delivered to an ASP for the AS corresponding to the Routing Key.

This does not involve routing DATA messages between AS within M3UA.

> don't think it as appropriate to generate SSNM for SPMC.

What I have said is that DUNA in inappropriate to be sent for a
non-SS7 event (M3UA loss of communication with NIF at the SGP).

So can we put DUNA back to ASPIA Ack now?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/